Package pyplusplus :: Package code_creators :: Module calldef :: Class calldef_overloads_t

# type calldef_overloads_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
                                             calldef_overloads_t

Known Subclasses:
  - free_fun_overloads_t
  - , mem_fun_overloads_t

Instance Methods

__init__(self, overloads_class) Constructor. | source code

create_def_code(self) | source code

create_end_def_code(self) | source code

create_keywords_args(self) | source code

create_function_type_alias_code(self, exported_class_alias=None) | source code

create_overloads_cls(self) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| overloads_class
| function_type_alias
Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, overloads_class)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### overloads_class

### function_type_alias

Get Method:
  _get_function_type_alias(self)